## strerror

#### OS/161 Reference Manual

### Name

strerror - get error message for error code

### Library

Standard C Library (libc, -lc)

### Synopsis

`#include <string.h>`
`const char *`
`strerror(int` code`);`

### Description

The error string for the error specified by code (see errno for more information) is retrieved.

It is not itself an error to request error strings for out-of-range values of code, but the string returned under such circumstances may not be very enlightening when printed.

### Return Values

The error string is returned.